import { HTMLAttributes, FC } from 'react';
declare type BaseElement = HTMLDivElement;
declare type BaseProps = HTMLAttributes<BaseElement>;
interface DraggableListItemProps extends BaseProps {
    readonly disabled?: boolean;
    readonly className?: string;
}
export declare const DraggableListItem: FC<DraggableListItemProps>;
/**
 * Draggable list
 *
 * A list where the items can be dragged through a drag handler
 * rendered on the right side of the list items.
 */
export interface DraggableListProps extends Omit<BaseProps, 'onChange'> {
    /**
     * Function called when list order changes with list of re-ordered indices as argument
     */
    readonly onChange: (indices: ReadonlyArray<number>) => void;
}
export declare const DraggableList: FC<DraggableListProps>;
export {};
